#
# spec file for package perl-Algorithm-Diff (Version 1.1902)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           perl-Algorithm-Diff
Url:            http://search.cpan.org/
License:        Artistic License; GPL v2 or later
Group:          Development/Libraries/Perl
Requires:       perl = %{perl_version}
AutoReqProv:    on
Summary:        Compute 'Intelligent' Differences Between Two Files or Lists
Version:        1.1902
Release:        2.4
Source:         http://www.cpan.org/modules/by-category/06_Data_Type_Utilities/Algorithm/Algorithm-Diff-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This Perl module helps to create differences between two files or
lists.	It is used by 'perl-diffmk'



%prep
%setup -n Algorithm-Diff-%{version}
%define perl_site %(TMP=%{perl_sitearch}; echo ${TMP%/*})

%build
perl Makefile.PL
make
make test

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install_vendor
%perl_process_packlist

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc MANIFEST Changes README
%{perl_vendorarch}/auto/Algorithm
%{perl_vendorlib}/Algorithm
%{_mandir}/man3/Algorithm::Diff*.3pm.gz
/var/adm/perl-modules/perl-Algorithm-Diff

%changelog
* Tue Aug  8 2006 ke@suse.de
- Version 1.1902; Changes:
  - Fix typo in @EXPORT_OK (s/LCDidx/LCSidx/) (RT 8576)
  - Use 'printf' in example code, not 'sprintf' nor 'sprint' (RT 16067)
  - DiffOld wasn't passing extra arguments to compare routine (RT 20650)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jul 19 2005 lmuelle@suse.de
- Update to 1.1901.
* Wed Feb  4 2004 ke@suse.de
- New package: version 1.15.
